%define lib_api         0
%define lib_major       0
%define lib_name        %mklibname %{name} %{lib_api} %{lib_major}
%define lib_name_devel  %mklibname %{name} -d

Name:           sord
Version:        0.12.0
Release:        %mkrel 5
Summary:        Lightweight C library for storing RDF data in memory
Source:         http://download.drobilla.net/%{name}-%{version}.tar.bz2
URL:            http://drobilla.net/software/%{name}/
License:        ISC License (ISC)
Group:          System/Libraries

BuildRequires:  waf
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(serd-0)

%description
Lightweight C library for storing RDF data in memory.

%files
%doc COPYING README
%doc %{_mandir}/man1/*
%{_bindir}/sordi
%{_bindir}/sord_validate

#-----------------------------------
%package -n %{lib_name}

Summary:        Lightweight RDF syntax library
Group:          System/Libraries
Obsoletes:      %{_lib}sord0 < 0.12.0-2

%description -n %{lib_name}
Lightweight C library for storing RDF data in memory.


%files -n %{lib_name}
%{_libdir}/lib%{name}-%{lib_api}.so.%{lib_major}
%{_libdir}/lib%{name}-%{lib_api}.so.%{lib_major}.*

#-----------------------------------
%package -n %{lib_name_devel}
Summary:        Headers for the sord RDF storage library
Group:          System/Libraries
Requires:       %{lib_name} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{lib_name_devel}
Development files needed to build applications against sord.

%files -n %{lib_name_devel}
%{_libdir}/lib%{name}-%{lib_api}.so
%dir %{_includedir}/%{name}-%{lib_api}/%{name}
%{_includedir}/%{name}-%{lib_api}/%{name}/*.h
%{_includedir}/%{name}-%{lib_api}/%{name}/*.hpp
%{_libdir}/pkgconfig/%{name}-%{lib_api}.pc

#-----------------------------------
%prep
%setup -q

%build
%setup_compile_flags
./waf configure --prefix=%{_prefix} --mandir=%{_mandir} --libdir=%{_libdir}
./waf -v

%install
./waf install --destdir=%{buildroot}


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.12.0-5.mga4
+ Revision: 529878
- Mageia 4 Mass Rebuild

* Sat Jul 13 2013 wally <wally> 0.12.0-4.mga4
+ Revision: 453919
- really fix old lib obsoletes

* Sat Jul 13 2013 wally <wally> 0.12.0-3.mga4
+ Revision: 453915
- fix old lib obsoletes

* Sat Jul 13 2013 wally <wally> 0.12.0-2.mga4
+ Revision: 453818
- fix lib pkg name
- fix our build time flags usage
- drop unneeded requires from devel pkg

* Sat Jul 13 2013 philippedidier <philippedidier> 0.12.0-1.mga4
+ Revision: 453630
- new version 0.12.0

* Mon Jan 14 2013 umeabot <umeabot> 0.10.4-3.mga3
+ Revision: 382349
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 0.10.4-2.mga3
+ Revision: 323842
- rebuild for new pcre
- use flags

* Fri Nov 23 2012 barjac <barjac> 0.10.4-1.mga3
+ Revision: 321357
- added two new files
- new version
- minor spec clean

* Wed Sep 07 2011 tv <tv> 0.4.2-1.mga2
+ Revision: 140006
- imported package sord


* Sat Jun 25 2011 Frank Kober <emuse@mandriva.org> 0.4.2-1mdv2011.0
+ Revision: 687128
- imported package sord

